Bug 1272984 - [abrt] fedora-gooey-karma: bodhiworker.py:178:__get_bugs_by_id:KeyError: 'bz_id'
[abrt] fedora-gooey-karma: bodhiworker.py:178:__get_bugs_by_id:KeyError: 'bz_id'
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fedora-gooey-karma (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Branislav Blaskovic
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c94a7fca16a9127151fc08df29b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 07:16 EDT by Raphael Groner
Modified: 2016-11-24 13:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 13:35:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.82 KB, text/plain)
2015-10-19 07:16 EDT, Raphael Groner
no flags Details
File: environ (1.41 KB, text/plain)
2015-10-19 07:16 EDT, Raphael Groner
no flags Details

  None (edit)
Description Raphael Groner 2015-10-19 07:16:50 EDT
Description of problem:
click on "load packages"

Version-Release number of selected component:
fedora-gooey-karma-0.1-6.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 -tt /usr/bin/fedora-gooey-karma
executable:     /usr/bin/fedora-gooey-karma
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
bodhiworker.py:178:__get_bugs_by_id:KeyError: 'bz_id'

Traceback (most recent call last):
  File "/usr/bin/../share/fedora-gooey-karma/bodhiworker.py", line 59, in run
    bodhi_update['bugs_by_id'] = self.__get_bugs_by_id(bodhi_update)
  File "/usr/bin/../share/fedora-gooey-karma/bodhiworker.py", line 178, in __get_bugs_by_id
    bugs[bug['bz_id']] = bug['title']
KeyError: 'bz_id'

Local variables in innermost frame:
self: <bodhiworker.BodhiWorker object at 0x7f62be5e59e0>
data: Munch(alias=u'FEDORA-2015-d6271da07d', bugs=[Munch(bug_id=1271133, feedback=[Munch(bug_id=1271133, comment=Munch(anonymous=True, id=340294, karma=1, karma_critpath=0, testcase_feedback=[], text=u'', timestamp=u'2015-10-18 07:37:19', update_id=42394, user=Munch(avatar=u'https://seccdn.libravatar.org/avatar/ffa4b7625be5eced4d6d3ea49cd8c8f60d0c6bd502ed5eb97e52e63f15583009?s=24&d=retro', email=None, groups=[], id=207, name=u'anonymous', openid=u'anonymous.id.fedoraproject.org'), user_id=207), comment_id=340294, karma=1)], parent=False, security=False, title=u'/usr/share/dpkg/default.mk contains wrong path')], builds=[Munch(nvr=u'dpkg-1.17.25-6.fc23')], close_bugs=True, comments=[Munch(anonymous=False, bug_feedback=[], id=340028, karma=0, karma_critpath=0, testcase_feedback=[], text=u'This update has been submitted for testing by sergiomb. ', timestamp=u'2015-10-17 14:33:26', update_id=42392, user=Munch(avatar=u'https://apps.fedoraproject.org/img/icons/bodhi-24.png', email=None, groups=[], id=91, name=u'bodhi', openid=u'bodhi.id.fedoraproject.org'), user_id=91), Munch(anonymous=False, bug_feedback=[], id=340048, karma=0, karma_critpath=0, testcase_feedback=[], text=u'This update has been pushed to testing.', timestamp=u'2015-10-17 18:21:30', update_id=42392, user=Munch(avatar=u'https://apps.fedoraproject.org/img/icons/bodhi-24.png', email=None, groups=[], id=91, name=u'bodhi', openid=u'bodhi.id.fedoraproject.org'), user_id=91)], critpath=False, date_approved=None, date_modified=None, date_pushed=u'2015-10-17 15:54:28', date_stable=None, date_submitted=u'2015-10-17 14:33:26', date_testing=u'2015-10-17 15:54:28', itemlist_name='dpkg-1.17.25-6.fc23', karma=0, locked=False, meets_testing_requirements=False, notes=u'Fix bug 1271133 , and small improvements.', old_updateid=None, pushed=True, release=Munch(branch=u'f23', candidate_tag=u'f23-updates-candidate', dist_tag=u'f23', id_prefix=u'FEDORA', long_name=u'Fedora 23', name=u'F23', override_tag=u'f23-override', pending_stable_tag=u'f23-updates-pending', pending_testing_tag=u'f23-updates-testing-pending', stable_tag=u'f23-updates', state=u'pending', testing_tag=u'f23-updates-testing', version=u'23'), request=None, require_bugs=True, require_testcases=True, requirements=u'', severity=u'unspecified', stable_karma=3, status=u'testing', submitter=u'sergiomb', suggest=u'unspecified', test_cases=[], title=u'dpkg-1.17.25-6.fc23', type=u'bugfix', unstable_karma=-3, updateid=u'FEDORA-2015-d6271da07d', user=Munch(avatar=u'https://seccdn.libravatar.org/avatar/7704b19ee9a5ceec13acb44db0e3f95bf189b1735143ac708dd8b0ae9ca177d4?s=24&d=retro', email=u'sergio@serjux.com', groups=[Munch(name=u'packager')], id=271, name=u'sergiomb', openid=u'sergiomb.id.fedoraproject.org'), variant='installed', yum_package=<RPMInstalledPackage : dpkg-1.17.25-6.fc23.x86_64 (0x7f62bc190350)>)
bug: Munch(bug_id=1271133, feedback=[Munch(bug_id=1271133, comment=Munch(anonymous=True, id=340294, karma=1, karma_critpath=0, testcase_feedback=[], text=u'', timestamp=u'2015-10-18 07:37:19', update_id=42394, user=Munch(avatar=u'https://seccdn.libravatar.org/avatar/ffa4b7625be5eced4d6d3ea49cd8c8f60d0c6bd502ed5eb97e52e63f15583009?s=24&d=retro', email=None, groups=[], id=207, name=u'anonymous', openid=u'anonymous.id.fedoraproject.org'), user_id=207), comment_id=340294, karma=1)], parent=False, security=False, title=u'/usr/share/dpkg/default.mk contains wrong path')
bugs: {}
Comment 1 Raphael Groner 2015-10-19 07:16:53 EDT
Created attachment 1084349 [details]
File: backtrace
Comment 2 Raphael Groner 2015-10-19 07:16:54 EDT
Created attachment 1084350 [details]
File: environ
Comment 3 Fedora End Of Life 2016-11-24 07:50:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Raphael Groner 2016-11-24 13:35:03 EST
Not reproducible.

Note You need to log in before you can comment on or make changes to this bug.